octane install-node often fails on provision step

Bug #1506407 reported by Maksim Malchuk on 2015-10-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Yuriy Taraday
7.0.x
High
Unassigned

Bug Description

Timeouts for deployment procedure are not sufficient for install-node, upgrade-node commands: need to pass timeout as a flag and increase default timeout.

Changed in fuel:
milestone: none → 8.0
Dmitry Pyzhov (dpyzhov) on 2015-10-15
no longer affects: fuel/8.0.x
tags: added: module-octane
Changed in fuel:
status: New → Confirmed

Reviewed: https://review.openstack.org/235340
Committed: https://git.openstack.org/cgit/stackforge/fuel-octane/commit/?id=f28bcb1e307b52a6e935b72a568186700048688a
Submitter: Jenkins
Branch: stable/7.0

commit f28bcb1e307b52a6e935b72a568186700048688a
Author: Maksim Malchuk <email address hidden>
Date: Thu Oct 15 16:21:04 2015 +0300

    Increase default timeout for provision and deploy nodes.
    Also add some more verbose.

    Change-Id: Icff2c152b5af523a4ad9f56c117b60bc05c558a4
    Closes-Bug: #1506407

Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-octane
Dmitry Pyzhov (dpyzhov) on 2015-10-29
tags: added: area-python
removed: area-octane

Fix proposed to branch: master
Review: https://review.openstack.org/246676

Changed in fuel:
assignee: Fuel Octane Dev Team (fuel-octane) → Yuriy Taraday (yorik-sar)
status: Confirmed → In Progress
Download full text (11.6 KiB)

Reviewed: https://review.openstack.org/246676
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=cae1d8af5d3ed7a6901fdb363f40e3bf7c37f26d
Submitter: Jenkins
Branch: master

commit e27cea930477dcaf5be29bfa4febd270dbe99e97
Author: Oleg Gelbukh <email address hidden>
Date: Thu Nov 12 15:15:57 2015 +0000

    Version bump to 1.0.0

    Change-Id: I51735d21337d51f52eead9625e2d9f3378c88799

commit 4d3c949e1f6c8319658ac713461e9f8f4a345eb4
Author: Oleg Gelbukh <email address hidden>
Date: Thu Nov 12 14:30:09 2015 +0000

    Revert "Set RPM version 0.2.0"

    This reverts commit 1c722afa0f78cfa3601f3a2b71085c6788052885.
    Version downgrade must be avoided.

    Change-Id: I6b3817ffa48ab321fe99bed7cb2df6a0941211ce

commit 1c722afa0f78cfa3601f3a2b71085c6788052885
Author: Oleg Gelbukh <email address hidden>
Date: Sun Nov 8 14:41:40 2015 +0000

    Set RPM version 0.2.0

    Change-Id: Ie0c75b979375e716c33082b9a4e83ffaffc7f42c

commit 3d06b9d8ddd3714166bdedeb91da5df6b8c9f7a6
Author: Valyavskiy Viacheslav <email address hidden>
Date: Sun Oct 4 03:14:37 2015 +0300

    Use more correct approach to detect resources status

    Closes-bug: 1499696
    Change-Id: Ied72bc68ba41e47334796f09b407ebd8a3fb7f40

commit c315735e681928648fd4549956c3621c4caba4f9
Author: Sergey Novikov <email address hidden>
Date: Thu Oct 29 18:57:21 2015 +0300

    Add handling of case when node may haven't full name in services data

    Change-Id: Icf8dc176fc74fc1c5ee888ddb920b1acc58c127d

commit cf83b87b846e6613dc996d8a8dc70723bcbe84d1
Author: Oleg Gelbukh <email address hidden>
Date: Tue Oct 27 13:57:04 2015 +0000

    Try to revert patches to Puppet modules every time

    If octane command was interrupted or failed before patches
    to puppet were reverted, the patch will be applied and repeated
    command will fail.

    Try to revert the patch every time before apply it and skip
    failures. Only actually apply the patch if revert is not assumed.

    Change-Id: I5719dba3c621f307fe5d6ae2356f15d38ee28ff9

commit a3226740bfacc15da032746d3093f77ecc0323ad
Author: Oleg Gelbukh <email address hidden>
Date: Fri Oct 23 12:48:27 2015 +0000

    Start corosync services after control plane switch for multiple controllers

    Before cluster is stopped, some corosync services are in 'Stop' status.
    Starting cluster doesn't bring them up, just restores state of the cluster.
    Explicitly start corosync services after the cluster is back.

    Related-bug: 1506398
    Change-Id: I38e90180f71e2786e18ffb67ec43a50aa2c5bee6

commit b3e496b43ecdd92a2a696147e2a487fcfe0b2c0d
Author: Oleg Gelbukh <email address hidden>
Date: Fri Oct 23 11:58:35 2015 +0000

    Delete shell scripts and unused shell libs

    As migration to Python is complete, remove unused shell scripts and libs

    Change-Id: I5cc13bebfd0423f73c46722d276807154f2b79e8

commit 6b0a7649cfcf546ffe410e62aaaaf72bec9e5c2d
Author: Oleg Gelbukh <email address hidden>
Date: Tue Oct 20 11:22:12 2015 +0000

    Stop corosync in upgrade seed during control plane switch

    Stop corosync cluster before switching to upgrade...

Changed in fuel:
status: In Progress → Fix Committed
tags: added: dev-to-verify
tags: removed: dev-to-verify
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers